Bug 215193 - Review Request: VLGothic-fonts - Truetype Japanese gothic fonts
Review Request: VLGothic-fonts - Truetype Japanese gothic fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-12 02:39 EST by Ryo Dairiki
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 10:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryo Dairiki 2006-11-12 02:39:13 EST
Spec URL: http://homepage2.nifty.com/shibatama/garage/VLGothic.spec
SRPM URL: http://homepage2.nifty.com/shibatama/garage/VLGothic-20061026-1.noarch.src.rpm
Description: 
VLGothic is a Japanese TrueType font maden by Vine Linux project.
The most of grphys are imported from M+ fonts and sazanami mincho, 
and later patched by them.
Comment 1 Ville Skyttä 2006-11-12 04:14:06 EST
I think it would be a good idea to have "fonts" or "font" somewhere in the
package name - see existing font packages in Fedora for examples.
Comment 2 Mamoru TASAKA 2006-11-12 08:16:32 EST
Okay, first review of this package.

A. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Use rpmlint
  - rpmlint is not silent.
------------------------------------
W: VLGothic non-conffile-in-etc /etc/fonts/conf.d/30-VLGothic.conf
------------------------------------
    Use %config(noreplace) unless you have a reason we should not
    use this.

* Summary and desctiption
  - The groups of this package should be 'User Interface/X'.
  - I think that the URL of this package should be:
    'http://dicey.org/vlgothic/'
  - Specify the URL or the location of the source.

* Timestamps
  - Please use 'install -p' to keep timestamps.

* Requires/File and Directory Ownership
  - This package does not own the following directory:

  A. /etc/fonts/ /etc/fonts/conf.d/
     Please add the requirement for this directory like:
     Requires: /etc/fonts/
     or require fontconfig.

  B. /usr/share/fonts/japanese/ /usr/share/fonts/japanese/TrueType
     When this package require fonts-japanese, please write so.
     Otherwise this package should own these directories.

B. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.
Comment 3 Mamoru TASAKA 2006-11-12 08:17:02 EST
Oops..

C. Other things I have noticed:
* Well, what do you think of the comment fro Ville?

Z. Note:
* License
  I read all the licenses included in this package and they meet
  the policy of Fedora assuming the licenses are all correct
  (I cannot check what license are really applied for each glyphs).

* Would you explain why calling fc-cache is not required? When
  fc-cache is evoked automatically?
Comment 4 Ryo Dairiki 2006-11-12 10:16:53 EST
> A. From http://fedoraproject.org/wiki/Packaging/Guidelines :
> * Use rpmlint
>  - rpmlint is not silent.

Strange. I've got no message from rpmlint. :(
Anyway, I'll fix them.


> C. Other things I have noticed:
> * Well, what do you think of the comment fro Ville?

I think it's right. I'll change the package name later.


> Z. Note:
> * Would you explain why calling fc-cache is not required? When
> fc-cache is evoked automatically?

Fontconfig will do it automatically when the fontlist is required.
I've forgot the document from which I know this, but it seems it's right.
Please uninstall VLGothic and fc-cache, then reinstal VLGothic without fc-caching.
I bet you won't have any problem at all. :)

Talking about xfs, it also rebuild the cache everytime it starts.
So you can use VLGothic on xfs after restarting it.
(Please read /etc/rd.d/init.d/xfs)
Comment 5 Ryo Dairiki 2006-11-12 10:26:11 EST
I've fixed these problems.
You can get the new package from the follows:

Spec URL: http://homepage2.nifty.com/shibatama/garage/VLGothic-fonts.spec
SRPM URL:
http://homepage2.nifty.com/shibatama/garage/VLGothic-fonts-20061026-2.noarch.src.rpm
Comment 6 Mamoru TASAKA 2006-11-12 10:49:24 EST
Well,

* /usr/share/fonts/japanese is owned only by fonts-japanese so
  this package should also own this directory.
* Do you have some reason not to use noreplace option of config
  file, i.e. not to use 
--------------------------------------------
%config(noreplace) %{_sysconfdir}/fonts/conf.d/30-VLGothic.conf ?
---------------------------------------------
  rpmlint still complain about:
--------------------------------------------
W: VLGothic-fonts conffile-without-noreplace-flag /etc/fonts/conf.d/30-VLGothic.conf
--------------------------------------------
* For src.rpm:
------------------------------------
W: VLGothic-fonts unversioned-explicit-obsoletes VLGothic
W: VLGothic-fonts unversioned-explicit-provides VLGothic
------------------------------------
Usually, obsoletes/provides are done like following:
--------------------------------------
Obsoletes: VLGothic <= %{version}-%{release}
Provides:  VLGothic = %{version}-%{release}
----------------------------------------

* Cosmetic issue:
%dir /usr/share/fonts/japanese/TrueType
This should be %dir %{_datadir}/fonts/japanese/TrueType as
you use %{_datadir} below.
Comment 7 Mamoru TASAKA 2006-11-18 08:51:27 EST
ping?
Comment 8 Ryo Dairiki 2006-11-18 10:19:22 EST
Pong. :)

I've just modified them.
You can get the newer version here:
Spec URL: http://homepage2.nifty.com/shibatama/garage/VLGothic-fonts.spec
SRPM URL:
http://homepage2.nifty.com/shibatama/garage/VLGothic-fonts-20061026-3.noarch.src.rpm
Comment 9 Mamoru TASAKA 2006-11-18 10:42:27 EST
Okay.

--------------------------------------------------
  This package (VLGothic-fonts) is APPROVED by me.
--------------------------------------------------

Please use the 'RPM Copy Requests' of
http://fedoraproject.org/wiki/Extras/RepoRequests
to copy the srpm and noarch rpm from devel branch to other
branches (and also use:
http://fedoraproject.org/wiki/Extras/CVSSyncNeeded ).

NOTE: currently Fedora Extras CVS system is down.
Comment 10 Mamoru TASAKA 2006-11-29 06:25:20 EST
Please close this bug when rebuilding is done.

Note You need to log in before you can comment on or make changes to this bug.